package com.alibaba.json.test;

import com.alibaba.fastjson.JSON;
import junit.framework.TestCase;

import java.util.*;

public class CollisionTest extends TestCase {
    public void test_for_collision() throws Exception {
        String collisions = "AaAaAaAaAaAaAaAaAaAaAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaAaBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaAaBBBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBAaBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaAaBBBBBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaAaBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBAaBBBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBAaBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaAaBBBBBBBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaAaBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaAaBBBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBAaBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBAaBBBBBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaAaBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBAaBBBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBAaBBBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBAaBBBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBAaBBBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBAaAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBAaAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBAaAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBAaAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBAaBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBAaBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBAaBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBAaBBBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBBBAaAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBBBAaAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBBBAaBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBBBAaBBBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBBBBBAaAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBBBBBAaBB\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBBBBBBBAa\n" +
                "AaAaAaAaAaAaBBBBBBBBBBBBBBBBBBBB";
        String[] keys = collisions.split("\\n");

        System.out.println("java.runtime.version : " + System.getProperty("java.runtime.version"));

        Map map = new HashMap();
        for (int i = 0; i < keys.length; ++i) {
            String key = keys[i];
            int hash = key.hashCode();
//            System.out.println(hash);
            map.put(key, "value");
        }

//        gen();

        String json = JSON.toJSONString(map);
//
        for (int i = 0; i < 5; ++i) {
            perf(json);
        }
    }

    private void perf(String json) {
        long start = System.currentTimeMillis();
        for (int i = 0; i < 1000 * 1; ++i) {
            JSON.parse(json);
        }
        long millis = System.currentTimeMillis() - start;
        System.out.println("millis : " + millis);
    }

    public static void gen() {
        int desiredRecords = 1024;
        List<String> strings = new ArrayList<String>(Arrays.asList("Aa", "BB"));
        List<String> temp = new ArrayList<String>();

        complete:
        for (int i = 0; i < 5; i++) {
            int size = strings.size();
            temp = new ArrayList<String>(size*size);
            int count = 0;
            for (String s : strings) {
                for (String t : strings) {
                    if (count == desiredRecords) break complete;
                    temp.add(s+t);
                    count++;
                }
            }
            strings = temp;
        }
        strings = temp;

        for (String s : strings)
            System.out.println(s);
    }
}
